"use strict";

var _getValue = _interopRequireDefault(require("../utils/get-value"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('getValue', function () {
  it('Return undefined when not exists', function () {
    var state = {};
    var path = 'employees';
    expect((0, _getValue.default)(state, path)).toEqual(undefined);
  });
  it('Get array of objects value  from state by path', function () {
    var state = {
      employees: [{
        id: 1
      }]
    };
    var expectedResults = 1;
    var path = 'employees.0.id';
    expect((0, _getValue.default)(state, path)).toEqual(expectedResults);
  });
  it('Get deep array item from state by path', function () {
    var state = {
      employees: [{
        id: 1
      }]
    };
    var expectedResults = state.employees[0];
    var path = 'employees.0';
    expect((0, _getValue.default)(state, path)).toEqual(expectedResults);
  });
  it('Get direct item from state  by path', function () {
    var state = {
      employees: [{
        id: 1
      }]
    };
    var expectedResults = state.employees;
    var path = 'employees';
    expect((0, _getValue.default)(state, path)).toEqual(expectedResults);
  });
});