"use strict";

var _replaceIndexWithWildcard = _interopRequireDefault(require("../utils/replace-index-with-wildcard"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Test replaceIndexWithWildCard function', function () {
  it('Replace index between two dots with wild ard', function () {
    expect((0, _replaceIndexWithWildcard.default)('employees.1.name')).toBe('employees.*.name');
  });
  it('Replace Last index with wild card', function () {
    expect((0, _replaceIndexWithWildcard.default)('employees.1')).toBe('employees.*');
  });
  it('Don\'t non numeric indexes ', function () {
    expect((0, _replaceIndexWithWildcard.default)('employees.1s')).toBe('employees.1s');
  });
  it('Don\'t  indexes if starts with the path ', function () {
    expect((0, _replaceIndexWithWildcard.default)('1.field')).toBe('1.field');
  });
  it('Replace every thing but not the first index even if numeric', function () {
    expect((0, _replaceIndexWithWildcard.default)('1.field.items.1.items.2')).toBe('1.field.items.*.items.*');
  });
  it('Replace Multiple indexes with wildcard', function () {
    expect((0, _replaceIndexWithWildcard.default)('employees.1.items.1')).toBe('employees.*.items.*');
  });
});